Loading...
Searching...
No Matches
Utilites.h File Reference
`#include <RDGeneral/export.h>`
`#include "../RDKitBase.h"`
`#include "StructChecker.h"`

Go to the source code of this file.

## Classes

struct | RDKit::StructureCheck::Neighbourhood

## Namespaces

namespace | RDKit
| Std stuff.
namespace | RDKit::StructureCheck

## Functions

RDKIT_STRUCTCHECKER_EXPORT void | RDKit::StructureCheck::SetupNeighbourhood (const ROMol &mol, std::vector< Neighbourhood > &neighbour_array)
RDKIT_STRUCTCHECKER_EXPORT bool | RDKit::StructureCheck::getMolAtomPoints (const ROMol &mol, std::vector< RDGeom::Point3D > &atomPoint, bool twod=false)
RDKIT_STRUCTCHECKER_EXPORT std::string | RDKit::StructureCheck::LogNeighbourhood (const ROMol &mol, unsigned int idx, const std::vector< Neighbourhood > &bneighbour_array)